Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.tags.core
Class JellyTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.JellyTag

All Implemented Interfaces:
  Tag

    public class JellyTag

extends TagSupport

The root Jelly tag which should be evaluated first

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`JellyTag()`

Method Summary
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JellyTag

    public JellyTag()

Method Detail

### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `JellyTagException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.